<?php
/**
 * @copyright	Copyright (C) 2008 - 2009 JoomVision.com. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$modLeft = $this->countModules('left');
$modRight = $this->countModules('right');
$jv_width = "";
if(!$modRight && !$modLeft) {
	$jv_width = "-full";
} elseif(!$modRight) {
	$jv_width = "-left";
} elseif(!$modLeft) {
	$jv_width = "-right";
} else {
    $jv_width = "";
}
$config = new JConfig();
$sitename = $config->sitename;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">
<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/jv_nicebody/css/template.css" type="text/css" />
</head>
<body id="bd">
<a name="Top" id="Top"></a>
<div style="display: none;"><a href="http://www.joomlavision.com" title="Joomla Templates">Joomla Templates</a> and Joomla Extensions by JoomlaVision.Com</div>
<div id="jv-wrapper">

	<div id="jv-top" class="clearfix">
			<div class="wrapper"><jdoc:include type="modules" name="user1" /></div>
	</div>

	<div id="jv-header" class="clearfix"><div id="jv-header-inside">
		<div class="wrapper">
			<h1 id="logo"><a href="<?php echo $this->baseurl ?>" title="<?php echo $sitename; ?>"><img src="<?php echo $this->baseurl ?>/templates/jv_nicebody/images/logo.png" alt="<?php echo $sitename; ?>" /></a></h1>
			<?php if($this->countModules('user2')) : ?>
			<div id="jv-banner"><jdoc:include type="modules" name="user2" /></div>
			<?php endif; ?>
		</div>
	</div></div>

	<div id="jv-mainmenu" class="clearfix">
		<div class="wrapper">
			<jdoc:include type="modules" name="user3" />
		</div>
	</div>

	<div id="jv-contentwrapper" class="clearfix">
		<div class="wrapper">

			<div id="jv-container<?php echo $jv_width; ?>" class="clearfix">

				<?php if( $this->countModules('left') || $this->countModules('right')) : ?>
				<div id="jv-left-right">
					<?php if($this->countModules('left')) : ?>
					<div id="jv-left"><jdoc:include type="modules" name="left" style="xhtml" /></div>
					<?php endif; ?>

					<?php if($this->countModules('right')) : ?>
					<div id="jv-right"><jdoc:include type="modules" name="right" style="xhtml" /></div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<div id="jv-content">

						<?php if(!JRequest::getCmd( 'view' ) == 'frontpage') : ?>
						<div id="jv-pathway">
							<jdoc:include type="module" name="breadcrumbs" />
						</div>
						<?php endif; ?>

						<?php if($this->countModules('user5')) : ?>
						<div id="jv-content-before"><jdoc:include type="modules" name="user5" style="xhtml" /></div>
						<?php endif; ?>
						
						<div id="jv-content-inside" class="clearfix"><jdoc:include type="component" /></div>

						<?php if($this->countModules('user6')) : ?>
						<div id="jv-content-after"><jdoc:include type="modules" name="user6" style="xhtml" /></div>
						<?php endif; ?>

				</div>

			</div>

		</div>
	</div>

	<div id="jv-extra" class="clearfix">
		<div class="wrapper">
			<div id="jv-colspan" class="clearfix">	
			  
				<?php if( $this->countModules('user7') ): ?>
					<div class="jv-box-left" style="width: 25%;">
						<div class="jv-box-inside"><jdoc:include type="modules" name="user7" style="xhtml" /></div>
					</div>
				<?php endif; ?>	
				<?php if( $this->countModules('user8') ): ?>
					<div class="jv-box-center" style="width: 25%">
						<div class="jv-box-inside"><jdoc:include type="modules" name="user8"  style="xhtml" /></div>
					</div>
				<?php endif; ?>
				<?php if( $this->countModules('user9') ): ?>
					<div class="jv-box-center" style="width: 25%">
						<div class="jv-box-inside"><jdoc:include type="modules" name="user9" style="xhtml" /></div>
					</div>
				<?php endif; ?>
				<?php if( $this->countModules('user10') ): ?>
					<div class="jv-box-right" style="width: 25%">
						<div class="jv-box-inside"><jdoc:include type="modules" name="user10" style="xhtml" /></div>
					</div>
				<?php endif; ?>
				
			</div>
		</div>
	</div>

	<div id="jv-footer" class="clearfix">
		<div class="wrapper">
			Designed by <a title="joomla template" href="http://joomlavision.com">JoomlaVision</a>. Copyright &copy; 2009 JoomVision.com.
			<br/>JoomVision - <a title="JoomVision.com" href="http://joomlavision.com">Website Templates</a> | <a title="joomla templates" href="http://joomlavision.com">Flash Templates</a> | <a title="joomla templates" href="http://joomlavision.com">Web Templates Design</a>
		</div>
	</div>

</div>
<div style="display: none;">Joomla Templates by <a href="http://www.joomlavision.com" title="Joomla Templates">JoomlaVision.com</a></div>
<jdoc:include type="modules" name="debug" />
</body>
</html>
